### Function

# EDataServer SoupSession util_normalize_uri_path

since: 3.46

#### Declaration [src]

    GUri*
    e_soup_session_util_normalize_uri_path (
      GUri* uri
    )

#### Description [src]

Normalizes the path of the `uri`, aka encodes characters, which should be encoded, if needed. Returns, modified URI when any change had been made to the path. It doesn’t touch other parts of the `uri`.

Available since: 3.46

#### Parameters

`uri`

  Type: `GUri`

  A `GUri` to normalize the path for.

  The data is owned by the caller of the function.

#### Return value

Type: `GUri`

A new `GUri` with modified path, or `NULL`, when no change was required.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.